[arch-commits] Commit in python-xattr/repos (2 files)

Felix Yan felixonmars at archlinux.org
Sat Jun 30 12:35:23 UTC 2018


    Date: Saturday, June 30, 2018 @ 12:35:23
  Author: felixonmars
Revision: 348034

archrelease: copy trunk to community-staging-x86_64

Added:
  python-xattr/repos/community-staging-x86_64/
  python-xattr/repos/community-staging-x86_64/PKGBUILD
    (from rev 348033, python-xattr/trunk/PKGBUILD)

----------+
 PKGBUILD |   56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

Copied: python-xattr/repos/community-staging-x86_64/PKGBUILD (from rev 348033, python-xattr/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2018-06-30 12:35:23 UTC (rev 348034)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-xattr
+pkgname=('python-xattr' 'python2-xattr')
+pkgver=0.9.3
+pkgrel=2
+pkgdesc='Python wrapper for extended filesystem attributes'
+arch=('x86_64')
+license=('MIT')
+url='https://github.com/xattr/xattr'
+makedepends=('python-setuptools' 'python2-setuptools' 'python-cffi' 'python2-cffi')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/xattr/xattr/archive/v$pkgver.tar.gz")
+sha512sums=('5ea285d315d50a26c3063c1d43de66d3406d09ff35ec191cf19acf7fef80c9f0c9e1f9f08afa463122697e55b5fdc02b7aa747e310a45c2268048da5a16e9c1c')
+
+prepare() {
+  cp -a xattr-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/xattr-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/xattr-$pkgver-py2
+  python2 setup.py build
+}
+
+check() { (
+  # Build env doesn't have permission for those xattrs
+  cd "$srcdir"/xattr-$pkgver
+  python setup.py test
+
+  cd "$srcdir"/xattr-$pkgver-py2
+  python2 setup.py test
+  ) || warning "Tests failed"
+}
+
+package_python-xattr() {
+  depends=('python-cffi' 'python-setuptools')
+
+  cd xattr-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python2-xattr() {
+  depends=('python2-cffi' 'python2-setuptools')
+
+  cd xattr-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+
+  mv "$pkgdir"/usr/bin/xattr{,2}
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list